package org.jenkinsci.plugins.p4_client.review;

import hudson.model.Action;
import hudson.model.AbstractProject;
import hudson.model.Hudson;

import java.io.IOException;
import java.util.logging.Logger;

import javax.servlet.ServletException;

import org.kohsuke.stapler.HttpRedirect;
import org.kohsuke.stapler.HttpResponse;

public class ReviewAction implements Action {

	private final ReviewProperty property;
	private final AbstractProject<?, ?> project;

	public ReviewAction(AbstractProject<?, ?> project, ReviewProperty property) {
		this.project = project;
		this.property = property;
	}

	public String getIconFileName() {
		if (property.getUrl() == null) {
			return null;
		}
		return "clock.png";
		// return "/plugin/p4_client/icons/p4.png";
	}

	public String getDisplayName() {
		if (property.getUrl() == null) {
			return null;
		}
		return "Build Review";
	}

	public String getUrlName() {
		if (property.getUrl() == null) {
			return null;
		}
		return "review";
	}

	public void doBuild() throws IOException, ServletException {
		project.getACL().checkPermission(AbstractProject.BUILD);
		
		if (property.getUrl() == null) {

			LOGGER.info("doReview");
			// Hudson.getInstance().getQueue().schedule( new ShelveProjectTask(
			// project ), 0 );
		}

	//return new HttpRedirect(Hudson.getInstance().getU);
	}

	public AbstractProject<?, ?> getProject() {
		return project;
	}

	final static Logger LOGGER = Logger.getLogger(ReviewAction.class.getName());
}
